Subject: Re: bug#25749: grep 3.0 skips "binary" lines in ssconvert output
From: Paul Eggert <[email-masked]>
To: Alexey Shipunov <[email-masked]>, [email-masked]
Date: Wed, 15 Feb 2017 23:11:04 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

When I tried to read that attachment, gedit complained "There was a problem 
opening" it, and then "The file you opened has some invalid characters. If you 
continue editing this file you could corrupt this document. You can also choose 
another character encoding and try again." So it is not only "grep" that is 
having problems with the file.

Looking into it further, the file contains a non-text byte in line 13676, in the 
string "1@8MI W OF RALEIGH", where the "@" denotes a byte with octal value 233. 
This is invalid UTF-8 text. You can work around the issue by replacing the 
non-text byte with a valid character, or by using "grep -a" as you noted, or by 
setting the LC_ALL environment variable to "C", or by using a grep pattern that 
does not match the non-text line.